Subject: Re: frequency in sandpoint_calibrate_decr

From: Dan Malek <[email-masked]>
Date: Wed, 11 Apr 2001 13:09:54 -0400

Sébastien Côté wrote:

> In MontaVista's kernel 2.4.0-test2, the frequency in
> sandpoint_calibrate_decr() is set to 66 Mhz.  What frequency is this?
> The processor, the bus ???

That's the speed of the processor bus, usually from which all
other core clocks are derived.  You should be using a newer version
of the kernel, at least from FSM Labs BitKeeper.  In the source
code pipeline is a change of the clock value from MHz to Hz.

> Increasing this speed seems to get rid of my stability problems (at
> last!), so I'd like to know the real value I should put there.

Eh?  On most systems it won't do anything but affect the ability
of the kernel to keep time correctly.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/